com.h3c.of.lib.msg

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - com.h3c.of.lib.msg.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<MessageType>

      public enum MessageType
      extends Enum<MessageType>

  Denotes OpenFlow message types. Each constant is documented with when it was introduced into the protocol.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BARRIER_REPLY` Barrier Reply; Since 1.0.
    `BARRIER_REQUEST` Barrier Request; Since 1.0.
    `ECHO_REPLY` Echo Reply; Since 1.0.
    `ECHO_REQUEST` Echo Request; Since 1.0.
    `ERROR` Error; Since 1.0.
    `EXPERIMENTER` Experimenter; Since 1.0 (known then as Vendor, but renamed to Experimenter in 1.1).
    `FEATURES_REPLY` Features Reply; Since 1.0.
    `FEATURES_REQUEST` Features Request; Since 1.0.
    `FLOW_MOD` Flow Mod; Since 1.0.
    `FLOW_REMOVED` Flow Removed; Since 1.0.
    `GET_ASYNC_REPLY` Get Async Reply; Since 1.3.
    `GET_ASYNC_REQUEST` Get Async Request; Since 1.3.
    `GET_CONFIG_REPLY` Get Config Reply; Since 1.0.
    `GET_CONFIG_REQUEST` Get Config Request; Since 1.0.
    `GROUP_MOD` Group Mod; Since 1.1.
    `HELLO` Hello; Since 1.0.
    `METER_MOD` Meter Mod; Since 1.3.
    `MULTIPART_REPLY` Multipart Reply; Since 1.3 (but see `OfmMultipartReply`).
    `MULTIPART_REQUEST` Multipart Request; Since 1.3 (but see `OfmMultipartRequest`).
    `PACKET_IN` Packet In; Since 1.0.
    `PACKET_OUT` Packet Out; Since 1.0.
    `PORT_MOD` Port Mod; Since 1.0.
    `PORT_STATUS` Port Status; Since 1.0.
    `QUEUE_GET_CONFIG_REPLY` Get Config Reply; Since 1.0.
    `QUEUE_GET_CONFIG_REQUEST` Get Config Request; Since 1.0.
    `ROLE_REPLY` Role Reply; Since 1.2.
    `ROLE_REQUEST` Role Request; Since 1.2.
    `SET_ASYNC` Set Async; Since 1.3.
    `SET_CONFIG` Set Config; Since 1.0.
    `TABLE_MOD` Table Mod; Since 1.1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for this message type, under the given protocol.
    `static MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HELLO

          public static final MessageType HELLO

      Hello; Since 1.0.

    - #### ERROR

          public static final MessageType ERROR

      Error; Since 1.0.

    - #### ECHO_REQUEST

          public static final MessageType ECHO_REQUEST

      Echo Request; Since 1.0.

    - #### ECHO_REPLY

          public static final MessageType ECHO_REPLY

      Echo Reply; Since 1.0.

    - #### EXPERIMENTER

          public static final MessageType EXPERIMENTER

      Experimenter; Since 1.0 (known then as Vendor, but renamed to Experimenter in 1.1).

    - #### FEATURES_REQUEST

          public static final MessageType FEATURES_REQUEST

      Features Request; Since 1.0.

    - #### FEATURES_REPLY

          public static final MessageType FEATURES_REPLY

      Features Reply; Since 1.0.

    - #### GET_CONFIG_REQUEST

          public static final MessageType GET_CONFIG_REQUEST

      Get Config Request; Since 1.0.

    - #### GET_CONFIG_REPLY

          public static final MessageType GET_CONFIG_REPLY

      Get Config Reply; Since 1.0.

    - #### SET_CONFIG

          public static final MessageType SET_CONFIG

      Set Config; Since 1.0.

    - #### PACKET_IN

          public static final MessageType PACKET_IN

      Packet In; Since 1.0.

    - #### FLOW_REMOVED

          public static final MessageType FLOW_REMOVED

      Flow Removed; Since 1.0.

    - #### PORT_STATUS

          public static final MessageType PORT_STATUS

      Port Status; Since 1.0.

    - #### PACKET_OUT

          public static final MessageType PACKET_OUT

      Packet Out; Since 1.0.

    - #### FLOW_MOD

          public static final MessageType FLOW_MOD

      Flow Mod; Since 1.0.

    - #### GROUP_MOD

          public static final MessageType GROUP_MOD

      Group Mod; Since 1.1.

    - #### PORT_MOD

          public static final MessageType PORT_MOD

      Port Mod; Since 1.0.

    - #### TABLE_MOD

          public static final MessageType TABLE_MOD

      Table Mod; Since 1.1.

    - #### MULTIPART_REQUEST

          public static final MessageType MULTIPART_REQUEST

      Multipart Request; Since 1.3 (but see `OfmMultipartRequest`).

    - #### MULTIPART_REPLY

          public static final MessageType MULTIPART_REPLY

      Multipart Reply; Since 1.3 (but see `OfmMultipartReply`).

    - #### BARRIER_REQUEST

          public static final MessageType BARRIER_REQUEST

      Barrier Request; Since 1.0.

    - #### BARRIER_REPLY

          public static final MessageType BARRIER_REPLY

      Barrier Reply; Since 1.0.

    - #### QUEUE_GET_CONFIG_REQUEST

          public static final MessageType QUEUE_GET_CONFIG_REQUEST

      Get Config Request; Since 1.0.

    - #### QUEUE_GET_CONFIG_REPLY

          public static final MessageType QUEUE_GET_CONFIG_REPLY

      Get Config Reply; Since 1.0.

    - #### ROLE_REQUEST

          public static final MessageType ROLE_REQUEST

      Role Request; Since 1.2.

    - #### ROLE_REPLY

          public static final MessageType ROLE_REPLY

      Role Reply; Since 1.2.

    - #### GET_ASYNC_REQUEST

          public static final MessageType GET_ASYNC_REQUEST

      Get Async Request; Since 1.3.

    - #### GET_ASYNC_REPLY

          public static final MessageType GET_ASYNC_REPLY

      Get Async Reply; Since 1.3.

    - #### SET_ASYNC

          public static final MessageType SET_ASYNC

      Set Async; Since 1.3.

    - #### METER_MOD

          public static final MessageType METER_MOD

      Meter Mod; Since 1.3.

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Returns the code for this message type, under the given protocol.
      Parameters:
        `pv` - the protocol version
      Returns:
        the message type code

Copyright © 2014. All Rights Reserved.